Bug 1277896 - Console shows http://langen_us.utf-8/ as browse link
Console shows http://langen_us.utf-8/ as browse link
Status: CLOSED WONTFIX
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.0
Assigned To: Nick Carboni
Ola Pavlenko
openstack:black
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 05:22 EST by Marius Cornea
Modified: 2017-09-14 08:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-28 10:21:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console screenshot (25.39 KB, image/png)
2015-11-04 05:25 EST, Marius Cornea
no flags Details

  None (edit)
Description Marius Cornea 2015-11-04 05:22:30 EST
Description of problem:
I'm deploying the CFME appliance on a regular KVM host by using the Openstack image. After boot the console shows the following:

You can browse to http://192.168.122.187/ or http://langen_us.utf-8/

Version-Release number of selected component (if applicable):
cfme-rhos-5.5.0.9-2.x86_64.qcow2

How reproducible:
100%

Steps to Reproduce:
1. Deploy the image on a KVM host 
2. Boot VM 
3. Check console output

Actual results:
You can browse to http://192.168.122.187/ or http://langen_us.utf-8/

...

langen_us login: 

Expected results:
http://langen_us.utf-8/ is not a valid URL so it shouldn't be there.

I'm not sure if 'langen_us' is expected to be present in the login prompt.
Comment 2 Marius Cornea 2015-11-04 05:25 EST
Created attachment 1089552 [details]
console screenshot

Attaching a console screenshot.
Comment 3 Marius Cornea 2015-11-04 05:35:42 EST
It looks that the hostname gets set to langen_us.utf-8

[root@langen_us ~]# hostname
langen_us.utf-8
[root@langen_us ~]# hostname -f
hostname: Name or service not known
[root@langen_us ~]# cat /etc/hostname 
langen_us.utf-8
Comment 4 Nick Carboni 2016-01-08 09:30:32 EST
I see the issue here, but I'm not sure there is anything that we can do.

We can either remove that part of the motd prompt which would (technically) resolve this issue or leave it for the case when the user has set up an externally resolvable hostname.  Unfortunately there is no way for us to tell if the hostname we get from /etc/hostname is resolvable from the outside world so right now we print it unconditionally.

Note You need to log in before you can comment on or make changes to this bug.